Bug 1348416 (CVE-2015-8920) - CVE-2015-8920 libarchive: Stack out of bounds read in ar parser
Summary: CVE-2015-8920 libarchive: Stack out of bounds read in ar parser
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8920
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1352775 1352776 1353065 1353066 1353067 1353068
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-21 07:02 UTC by Doran Moppert
Modified: 2019-09-29 13:51 UTC (History)
4 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted AR archive could cause the application to read a single byte of application memory, potentially disclosing it to the attacker.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:55:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC
Red Hat Product Errata RHSA-2016:1850 normal SHIPPED_LIVE Important: libarchive security update 2016-09-12 23:54:24 UTC

Description Doran Moppert 2016-06-21 07:02:05 UTC
Upstream bug:
    https://github.com/libarchive/libarchive/issues/511

Upstream fix:
    https://github.com/libarchive/libarchive/commit/97f964e

> While pruning trailing text from ar filenames, we did not
> check for an empty filename.  This results in reading the 
> byte before the filename on the stack.

Comment 2 Doran Moppert 2016-07-05 04:37:14 UTC
Created libarchive tracking bugs for this issue:

Affects: fedora-all [bug 1352776]
Affects: epel-5 [bug 1352775]

Comment 4 errata-xmlrpc 2016-09-12 19:56:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1850 https://rhn.redhat.com/errata/RHSA-2016-1850.html

Comment 5 errata-xmlrpc 2016-09-12 20:13:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.